'
'C source for GNU CHESS
'
'Revision: 1990-09-30
'
'Modified by Daryl Baker for use in MS WINDOWS environment
' Converted to BCX by Garvan O'Keeffe April 2005
'
'This file is part of CHESS.
'
'CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
'WARRANTY.  No author or distributor accepts responsibility to anyone for
'the consequences of using it or for whether it serves any particular
'purpose or works at all, unless he says so in writing.  Refer to the CHESS
'General Public License for full details.
'
'Everyone is granted permission to copy, modify and redistribute CHESS, but
'only under the conditions described in the CHESS General Public License.
'A copy of this license is supposed to have been given to you along with
'CHESS so you can know your rights and responsibilities.  It should be in a
'file named COPYING.  Among other things, the copyright notice and this
'notice must be preserved on all copies.
'


SUB Init_Menus (hWnd AS HWND, wParam AS UINT, lParam AS LONG)
  DIM RAW Status AS WORD

  UNREFERENCED_PARAMETER (hWnd)

  IF lParam = MENU_ID_EDIT THEN                           'Edit Menu
      !EnableMenuItem ((HMENU ) wParam, MSG_CHESS_REVIEW, (GameCnt>0 ? MF_ENABLED : MF_GRAYED));
      !EnableMenuItem ((HMENU ) wParam, MSG_CHESS_UNDO, (GameCnt>0 ? MF_ENABLED : MF_GRAYED));
      !EnableMenuItem ((HMENU ) wParam, MSG_CHESS_REMOVE, (GameCnt>1 ? MF_ENABLED : MF_GRAYED));
    'Options Menu
  ELSEIF lParam = MENU_ID_OPTIONS THEN
    IF flag.hash = false THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_HASH, Status)

    IF coords = false THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_COORD, Status)

    IF flag.beep = false THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_BEEP, Status)

    IF flag.bothsides = false THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_BOTH, Status)

    IF Book = NULL THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_BOOK, Status)

    IF flag.post = false THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_POST, Status)
  ELSEIF lParam = MENU_ID_SKILL THEN
    IF dither = 0 THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_RANDOM, Status)

    IF flag.easy = false THEN
      Status = MF_CHECKED
    ELSE
      Status = MF_UNCHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_EASY, Status)

  ELSEIF lParam = MENU_ID_SIDE THEN
    IF flag.reverse = false THEN
      Status = MF_UNCHECKED
    ELSE
      Status = MF_CHECKED
    END IF
    CheckMenuItem ((HMENU) wParam, MSG_CHESS_REVERSE, Status)

    IF computer = black THEN
      CheckMenuItem ((HMENU) wParam, MSG_CHESS_BLACK, MF_CHECKED)
      CheckMenuItem ((HMENU) wParam, MSG_CHESS_WHITE, MF_UNCHECKED)
    ELSE
      CheckMenuItem ((HMENU) wParam, MSG_CHESS_WHITE, MF_CHECKED)
      CheckMenuItem ((HMENU) wParam, MSG_CHESS_BLACK, MF_UNCHECKED)
    END IF
  END IF
END SUB

