'
'C source for GNU CHESS
'
'Revision: 1990-09-30
'
'Modified by Daryl Baker for use in MS WINDOWS environment
' Converted to BCX by Garvan O'Keeffe April 2005
'
'This file is part of CHESS.
'
'CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
'WARRANTY.  No author or distributor accepts responsibility to anyone for
'the consequences of using it or for whether it serves any particular
'purpose or works at all, unless he says so in writing.  Refer to the CHESS
'General Public License for full details.
'
'Everyone is granted permission to copy, modify and redistribute CHESS, but
'only under the conditions described in the CHESS General Public License.
'A copy of this license is supposed to have been given to you along with
'CHESS so you can know your rights and responsibilities.  It should be in a
'file named COPYING.  Among other things, the copyright notice and this
'notice must be preserved on all copies.
'


FUNCTION PromoteDialog (hWnd AS HWND, hInst AS HANDLE) AS INTEGER
  DIM RAW lpProcPromote AS FARPROC
  DIM RAW status AS INTEGER

  lpProcPromote = (FARPROC) MakeProcInstance (PromoteDlgProc, hInst)
  status = DialogBox (hInst, MAKEINTRESOURCE (PAWNPROMOTE), hWnd, (DLGPROC) lpProcPromote)
  FreeProcInstance (lpProcPromote)
  FUNCTION = status
END FUNCTION

STATIC xstatus AS INTEGER

FUNCTION PromoteDlgProc (hDlg AS HWND, message AS UINT, wParam AS UINT, lParam AS LONG) AS LONG CALLBACK
  UNREFERENCED_PARAMETER (lParam)

  SELECT CASE (message)
    '  message: initialize dialog box
  CASE WM_INITDIALOG
    xstatus = 5
    CheckRadioButton (hDlg, 100, 103, 103)
    FUNCTION = (TRUE)

  CASE WM_SYSCOMMAND
    IF (wParam BAND 0xfff0) = SC_CLOSE THEN
      EndDialog (hDlg, xstatus)
      FUNCTION = xstatus
    END IF


    '  message: received a command
  CASE WM_COMMAND
    SELECT CASE (LOWORD (wParam))

    CASE IDOK
      EndDialog (hDlg, xstatus)
      FUNCTION = TRUE

    CASE 100, 101, 102, 103
      xstatus = 2 + wParam - 100
      CheckRadioButton (hDlg, 100, 103, wParam)

    END SELECT
  END SELECT

  FUNCTION = (FALSE)                                      'Didn't process a message
END FUNCTION
