'
'C source for GNU CHESS
'
'Revision: 1990-09-30
'
'Modified by Daryl Baker for use in MS WINDOWS environment
' Converted to BCX by Garvan O'Keeffe April 2005
'
'Copyright (C) 1986, 1987, 1988, 1989, 1990 Free Software Foundation, Inc.
'Copyright (c) 1988, 1989, 1990  John Stanback
'
'This file is part of CHESS.
'
'CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
'WARRANTY.  No author or distributor accepts responsibility to anyone for
'the consequences of using it or for whether it serves any particular
'purpose or works at all, unless he says so in writing.  Refer to the CHESS
'General Public License for full details.
'
'Everyone is granted permission to copy, modify and redistribute CHESS, but
'only under the conditions described in the CHESS General Public License.
'A copy of this license is supposed to have been given to you along with
'CHESS so you can know your rights and responsibilities.  It should be in a
'file named COPYING.  Among other things, the copyright notice and this
'notice must be preserved on all copies.
'



GLOBAL Book AS struct_BookEntry PTR


GLOBAL hashkey AS ULONG, hashbd AS ULONG
GLOBAL hashcode AS struct_hashval PTR
GLOBAL ttable AS struct_hashentry PTR


GLOBAL hashfile AS FILE PTR

GLOBAL Tree AS struct_leaf PTR, root AS struct_leaf PTR

GLOBAL TrPnt[maxdepth] AS INTEGER
GLOBAL PieceList[2][16] AS INTEGER, PawnCnt[2][8] AS INTEGER
CONST wking = PieceList[white][0]
CONST bking = PieceList[black][0]
CONST EnemyKing = PieceList[c2][0]
GLOBAL castld[2] AS INTEGER, Mvboard[64] AS INTEGER
GLOBAL svalue[64] AS INTEGER
GLOBAL flag AS struct_flags
GLOBAL opponent AS INTEGER, computer AS INTEGER, Awindow AS INTEGER, Bwindow AS INTEGER, dither AS INTEGER, INCscore AS INTEGER
GLOBAL ResponseTime AS long, ExtraTime AS long, Level AS long, et AS long, et0 AS long, time0 AS long, ft AS long
GLOBAL NodeCnt AS long, ETnodes AS long, EvalNodes AS long, HashCnt AS long, FHashCnt AS long, HashCol AS long
GLOBAL player AS INTEGER, xwndw AS INTEGER, rehash AS INTEGER

GLOBAL GameList AS struct_GameRec PTR

GLOBAL Sdepth AS INTEGER, GameCnt AS INTEGER, Game50 AS INTEGER, MaxSearchDepth AS INTEGER
GLOBAL epsquare AS INTEGER, contempt AS INTEGER
GLOBAL TimeControl AS struct_TimeControlRec
GLOBAL TCflag AS INTEGER, TCmoves AS INTEGER, TCminutes AS INTEGER, OperatorTime AS INTEGER
GLOBAL hint AS UINT, PrVar[maxdepth] AS UINT
GLOBAL Pindex[64] AS INTEGER
GLOBAL PieceCnt[2] AS INTEGER
GLOBAL c1 AS INTEGER, c2 AS INTEGER, atk1 AS INTEGER PTR, atk2 AS INTEGER PTR, PC1 AS INTEGER PTR, PC2 AS INTEGER PTR, atak[2][64] AS INTEGER
GLOBAL mtl[2] AS INTEGER, pmtl[2] AS INTEGER, emtl[2] AS INTEGER, hung[2] AS INTEGER
GLOBAL FROMsquare AS INTEGER, TOsquare AS INTEGER, Zscore AS INTEGER, zwndw AS INTEGER
GLOBAL HasKnight[2] AS INTEGER, HasBishop[2] AS INTEGER, HasRook[2] AS INTEGER, HasQueen[2] AS INTEGER
GLOBAL ChkFlag[maxdepth] AS INTEGER, CptrFlag[maxdepth] AS INTEGER, PawnThreat[maxdepth] AS INTEGER
GLOBAL Pscore[maxdepth] AS INTEGER, Tscore[maxdepth] AS INTEGER
GLOBAL killr0[maxdepth] AS UINT, killr1[maxdepth] AS UINT
GLOBAL killr2[maxdepth] AS UINT, killr3[maxdepth] AS UINT
GLOBAL PV AS UINT, Swag0 AS UINT, Swag1 AS UINT, Swag2 AS UINT, Swag3 AS UINT, Swag4 AS UINT
GLOBAL history AS UCHAR PTR

GLOBAL rpthash[2][256] AS INTEGER
GLOBAL Mwpawn[64] AS INTEGER, Mbpawn[64] AS INTEGER, Mknight[2][64] AS INTEGER, Mbishop[2][64] AS INTEGER
GLOBAL Mking[2][64] AS INTEGER, Kfield[2][64] AS INTEGER
GLOBAL KNIGHTPOST AS INTEGER, KNIGHTSTRONG AS INTEGER, BISHOPSTRONG AS INTEGER, KATAK AS INTEGER
GLOBAL PEDRNK2B AS INTEGER, PWEAKH AS INTEGER, PADVNCM AS INTEGER, PADVNCI AS INTEGER, PAWNSHIELD AS INTEGER, PDOUBLED AS INTEGER, PBLOK AS INTEGER
GLOBAL RHOPN AS INTEGER, RHOPNX AS INTEGER, KHOPN AS INTEGER, KHOPNX AS INTEGER, KSFTY AS INTEGER
GLOBAL ATAKD AS INTEGER, HUNGP AS INTEGER, HUNGX AS INTEGER, KCASTLD AS INTEGER, KMOVD AS INTEGER, XRAY AS INTEGER, PINVAL AS INTEGER
GLOBAL stage AS INTEGER, stage2 AS INTEGER, Developed[2] AS INTEGER
GLOBAL PawnBonus AS INTEGER, BishopBonus AS INTEGER, RookBonus AS INTEGER

GLOBAL distdata AS INTEGER PTR, taxidata AS INTEGER PTR

GLOBAL board[64] AS INTEGER, cColor[64] AS INTEGER
GLOBAL nextpos AS UCHAR PTR
GLOBAL nextdir AS UCHAR PTR


SET otherside[3] AS INTEGER
  1, 0, 2
END SET

GLOBAL hComputerColor AS HWND
GLOBAL hComputerMove AS HWND
GLOBAL hWhosTurn AS HWND
GLOBAL hClockComputer AS HWND
GLOBAL hClockHuman AS HWND
GLOBAL hMsgComputer AS HWND
GLOBAL hMsgHuman AS HWND
