'
'C source for GNU CHESS
'
'Revision: 1990-09-30
'
'Modified by Daryl Baker for use in MS WINDOWS environment
' Converted to BCX by Garvan O'Keeffe April 2005
'
'This file is part of CHESS.
'
'CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
'WARRANTY.  No author or distributor accepts responsibility to anyone for
'the consequences of using it or for whether it serves any particular
'purpose or works at all, unless he says so in writing.  Refer to the CHESS
'General Public License for full details.
'
'Everyone is granted permission to copy, modify and redistribute CHESS, but
'only under the conditions described in the CHESS General Public License.
'A copy of this license is supposed to have been given to you along with
'CHESS so you can know your rights and responsibilities.  It should be in a
'file named COPYING.  Among other things, the copyright notice and this
'notice must be preserved on all copies.
'



CONST IDD_INT = 0x10
CONST IDD_CHAR = 0x11

GLOBAL NumberDlgInt  AS INTEGER
GLOBAL NumberDlgChar[80]  AS char


FUNCTION NumberDlgDlgProc (hDlg AS HWND, iMessage AS UINT, wParam AS UINT, lParam AS LONG) AS LONG CALLBACK
  DIM RAW temp AS INTEGER, Ier AS INTEGER

  UNREFERENCED_PARAMETER (lParam)

  SELECT CASE (iMessage)
  CASE WM_INITDIALOG
    SetDlgItemText (hDlg, IDD_CHAR, (LPSTR) NumberDlgChar)
    SetDlgItemInt (hDlg, IDD_INT, NumberDlgInt, TRUE)
    FUNCTION = TRUE

  CASE WM_COMMAND
    SELECT CASE (LOWORD (wParam))
    CASE IDOK
      temp = GetDlgItemInt (hDlg, IDD_INT, &Ier, TRUE)
      IF Ier <> 0 THEN
        NumberDlgInt = temp
        EndDialog (hDlg, TRUE)
      END IF

    CASE IDCANCEL
      EndDialog (hDlg, TRUE)

    CASE ELSE
      FUNCTION = FALSE

    END SELECT
  END SELECT
  FUNCTION = FALSE
END FUNCTION

FUNCTION DoGetNumberDlg (hInst AS HANDLE, hWnd AS HWND, szPrompt AS char PTR, def AS INTEGER) AS INTEGER
  DIM RAW lpfnNumberDlgProc AS FARPROC

  strcpy (NumberDlgChar, szPrompt)
  NumberDlgInt = def

  lpfnNumberDlgProc = (FARPROC) MakeProcInstance (NumberDlgDlgProc, hInst)
  DialogBox (hInst, MAKEINTRESOURCE (NUMBERDLG), hWnd, (DLGPROC) lpfnNumberDlgProc)
  FreeProcInstance (lpfnNumberDlgProc)

  FUNCTION = NumberDlgInt
END FUNCTION
