'
'C source for GNU CHESS
'
'Revision: 1990-09-30
'
'Modified by Daryl Baker for use in MS WINDOWS environment
' Converted to BCX by Garvan O'Keeffe April 2005
'
'This file is part of CHESS.
'
'CHESS is distributed in the hope that it will be useful, but WITHOUT ANY
'WARRANTY.  No author or distributor accepts responsibility to anyone for
'the consequences of using it or for whether it serves any particular
'purpose or works at all, unless he says so in writing.  Refer to the CHESS
'General Public License for full details.
'
'Everyone is granted permission to copy, modify and redistribute CHESS, but
'only under the conditions described in the CHESS General Public License.
'A copy of this license is supposed to have been given to you along with
'CHESS so you can know your rights and responsibilities.  It should be in a
'file named COPYING.  Among other things, the copyright notice and this
'notice must be preserved on all copies.
'


GLOBAL hStats = NULL AS HWND



FUNCTION StatDialog (hWnd AS HWND, hInst AS HANDLE) AS HWND
  DIM RAW lpProcStat AS FARPROC

  lpProcStat = (FARPROC) MakeProcInstance (StatDlgProc, hInst)
  hStats = CreateDialog (hInst, MAKEINTRESOURCE (STATS), hWnd, (DLGPROC) lpProcStat)
  FUNCTION = (hStats)
END FUNCTION

FUNCTION StatDlgProc (hDlg AS HWND, message AS UINT, wParam AS UINT, lParam AS LONG) AS LONG CALLBACK
  UNREFERENCED_PARAMETER (lParam)

  SELECT CASE (message)
    '  message: initialize dialog box
  CASE WM_INITDIALOG
    SetDlgItemText (hDlg, DEPTHTEXT, " ")
    SetDlgItemText (hDlg, POSITIONTEXT, " ")
    SetDlgItemText (hDlg, NODETEXT, " ")
    SetDlgItemText (hDlg, BSTLINETEXT, " ")
    SetDlgItemText (hDlg, SCORETEXT, " ")
    SetDlgItemText (hDlg, NODESECTEXT, " ")

    FUNCTION = (TRUE)

  CASE WM_SYSCOMMAND
    IF (wParam BAND 0xfff0) = SC_CLOSE THEN
      DestroyWindow (hDlg)
      FUNCTION = TRUE
    END IF

  CASE WM_DESTROY
    hStats = NULL
    flag.post = false
  END SELECT

  FUNCTION = (FALSE)                                      'Didn't process a message
END FUNCTION

